Page MenuHomePhabricator

Track usage in generic Lua getters via __index [M]
Closed, ResolvedPublic

Description

Use __index to track entity usages when community code calls mw.wikibase.entity.

Could/should be based on https://gerrit.wikimedia.org/r/#/c/371651 (which was reverted)

Event Timeline

WMDE-leszek renamed this task from Track usage in generic Lua getters via __index to Track usage in generic Lua getters via __index [S].Nov 7 2017, 1:24 PM
WMDE-leszek created this task.
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek removed eranroz as the assignee of this task.Nov 9 2017, 9:54 PM
WMDE-leszek added a subscriber: eranroz.
Lucas_Werkmeister_WMDE renamed this task from Track usage in generic Lua getters via __index [S] to Track usage in generic Lua getters via __index [M].Nov 21 2017, 2:25 PM

Change 392041 had a related patch set uploaded (by Thiemo Mättig (WMDE); owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] xkill - lazy track labels/sitelinks/claims

https://gerrit.wikimedia.org/r/392041

Ladsgroup claimed this task.Dec 7 2017, 7:55 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 7 2017, 7:55 PM

Change 392041 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] xkill - lazy track labels/sitelinks/claims

https://gerrit.wikimedia.org/r/392041

WMDE-leszek closed this task as Resolved.Dec 19 2017, 11:51 AM